Bug 231859 - Review Request: scratchpad - Spatial text editor for the GNOME desktop
Review Request: scratchpad - Spatial text editor for the GNOME desktop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
: Reopened
: 231881 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-12 12:54 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-03-12 12:54:06 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/scratchpad.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/scratchpad-0.3.0-1.src.rpm

Description: 

Scratchpad is a spatial text editor for the GNOME desktop. It is based on 
gtksourceview, which provides most essential features for source code 
editing. On top of this Scratchpad offers a lightweight, intuitive and 
forward-thinking user interface as well as additional editing features to
make your life easier.

- Builds in mock
- rpmlint silent on all packages
Comment 1 Allisson Azevedo 2007-03-25 09:49:03 EDT
*** Bug 231881 has been marked as a duplicate of this bug. ***
Comment 2 Bernard Johnson 2007-04-17 12:47:01 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: None
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [!] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 12ec467f5670150a79964c00f593157c
     MD5SUM upstream package: can't be verified
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [!] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [x] Latest version is packaged.

=== Issues ===
1. %doc - include News file.
2. libguniqueapp is included and used for the build.  I would recommend
submitting another package for just libguniqueapp and have this package require
that and build against it.
3. Starting the application from the gnome menu just gives a popup window that
says "This would create a new project oriented window, but this feature is not
yet implemented.  Please use Scratchpad from your file manager or terminal to
open a document directly instead."
4. Running from a terminal give the same message and this in the console:
$ scratchpad 

(<unknown>:5696): Gtk-CRITICAL **: gtk_style_detach: assertion
`style->attach_count > 0' failed
5. Missing:
     Requires(post): desktop-file-utils
     Requires(postun): desktop-file-utils
6. Source0 is an invalid URL.  Unable to verify Source0 integrity.

=== Final Notes ===
1.
Comment 3 Bernard Johnson 2007-05-01 16:44:08 EDT
ping
Comment 4 Sindre Pedersen Bjørdal 2007-05-01 18:12:04 EDT
1. Fixed

2. Not sure I agree on this. If this isn't considered a blocker I can't see any
benefit in separating libguniqueapp that justify the extra effort. I don't want
to maintain a rather obscure gnome library that hasn't seen upstream development
for 7 months. Feel free to convince me that separating is the best solution however.

3. Upstream issue. I've queried upstream. I can't think of any good downstream
solutions to this. Please help if you can.
4. See #3
5. Not needed for FC5+, IE: not needed
6. Fixed.

Updated Spec: http://folk.ntnu.no/sindrb/packages/scratchpad.spec
Updated SRPM: http://folk.ntnu.no/sindrb/packages/scratchpad-0.3.0-2.fc7.src.rpm
Comment 5 Bernard Johnson 2007-05-01 22:17:48 EDT
(In reply to comment #4)
> 2. Not sure I agree on this. If this isn't considered a blocker I can't see any
> benefit in separating libguniqueapp that justify the extra effort. I don't want
> to maintain a rather obscure gnome library that hasn't seen upstream development
> for 7 months. Feel free to convince me that separating is the best solution
however.

Well the idea is to take the work off you to update with security or bug fixes,
and save resources between packages, but if the project is a) not being used in
other packages in fedora and b) not actively developed or maintained then it
would probably not make a lot of sense.  And no, it wouldn't be a blocker,
especially in this case.

> 3. Upstream issue. I've queried upstream. I can't think of any good downstream
> solutions to this. Please help if you can.

Well, after looking through the code and doing a little investigation, it
appears that if it's going to get a .desktop entry, then some form of
file-selector has to be implemented when it is run with no arguements. 
Unfortunately, I've never worked with gtk, so I don't know how myself.  Seems
like it would not be hard though.

Not providing a .desktop entry for a gui app would break the packaging standards
as it's required.

However, we could argue to the packaging committe that it should be packaged as
a "shell extension" (is that what's it's called in gnome?) only, but it seems
dependent on the .desktop entry for that to work.  Remove the .desktop entry and
it no longer works by right-click on a file.

> 5. Not needed for FC5+, IE: not needed
My mistake.

Comment 6 Bernard Johnson 2007-05-03 02:57:18 EDT
(In reply to comment #5) 
> Not providing a .desktop entry for a gui app would break the packaging standards
> as it's required.
> 
> However, we could argue to the packaging committe that it should be packaged as
> a "shell extension" (is that what's it's called in gnome?) only, but it seems
> dependent on the .desktop entry for that to work.  Remove the .desktop entry and
> it no longer works by right-click on a file.

But adding "Hidden=true" in the .desktop file will cause the mimetypes and such
to be available but not allow it to be displayed in the menus, or to be enabled
by the menu editors.  That way, you'd either have to start it with "scratchpad
file" or right click from a file menu and open with scratchpad.
Comment 7 Sindre Pedersen Bjørdal 2007-05-03 11:34:39 EDT
Added patch for Hidden=true to .desktop file:

SPEC: http://folk.ntnu.no/sindrb/packages/scratchpad.spec
SRPM: http://folk.ntnu.no/sindrb/packages/scratchpad-0.3.0-3.fc7.src.rpm
Comment 8 Bernard Johnson 2007-05-03 12:29:51 EDT
(In reply to comment #7)
> Added patch for Hidden=true to .desktop file:

Ok, that does seem to work as expected now.  Please add documentation why you
are doing that to the spec.  You can do that post-import.

 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 12ec467f5670150a79964c00f593157c
     MD5SUM upstream package: 12ec467f5670150a79964c00f593157c
 [x] Package functions as described.

================
*** APPROVED ***
================
Comment 9 Sindre Pedersen Bjørdal 2007-05-05 19:42:41 EDT
New Package CVS Request
=======================
Package Name: scratchpad
Short Description: Spatial text editor for the GNOME desktop
Owners: foolish@guezz.net
Branches: FC6
InitialCC: 
Comment 10 Dennis Gilmore 2007-05-06 01:41:51 EDT
cvs done
Comment 11 Sindre Pedersen Bjørdal 2007-05-23 11:12:34 EDT
F7 branch was never created during merge, please add it.

New Package CVS Request
=======================
Package Name: scratchpad
Short Description: Spatial text editor for the GNOME desktop
Owners: foolish@guezz.net
Branches: FC6 F-7
InitialCC: 
Comment 12 Jens Petersen 2007-05-26 23:40:06 EDT
branch added

Note You need to log in before you can comment on or make changes to this bug.